GET api/Temu/getLogisticsCompanies?regionId={regionId}&acctid={acctid}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
regionId

string

Required

acctid

string

Required

Body Parameters

None.

Response Information

Resource Description

LogisticsResponse
NameDescriptionTypeAdditional information
result

Collection of LogisticsService

None.

json

string

None.

success

boolean

None.

requestId

string

None.

errorCode

integer

None.

errorMsg

string

None.

error_code

string

None.

error_msg

string

None.

Response Formats

application/json, text/json

Sample:
{
  "result": [
    {
      "logisticsServiceProviderId": 1,
      "logisticsServiceProviderName": "sample string 1",
      "logisticsBrandName": "sample string 2"
    },
    {
      "logisticsServiceProviderId": 1,
      "logisticsServiceProviderName": "sample string 1",
      "logisticsBrandName": "sample string 2"
    }
  ],
  "json": "sample string 1",
  "success": true,
  "requestId": "sample string 2",
  "errorCode": 1,
  "errorMsg": "sample string 3",
  "error_code": "sample string 4",
  "error_msg": "sample string 5"
}

application/xml, text/xml

Sample:
<LogisticsResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TemuProgToolService.Models">
  <errorCode>1</errorCode>
  <errorMsg>sample string 3</errorMsg>
  <error_code>sample string 4</error_code>
  <error_msg>sample string 5</error_msg>
  <json>sample string 1</json>
  <requestId>sample string 2</requestId>
  <success>true</success>
  <result>
    <LogisticsService>
      <logisticsBrandName>sample string 2</logisticsBrandName>
      <logisticsServiceProviderId>1</logisticsServiceProviderId>
      <logisticsServiceProviderName>sample string 1</logisticsServiceProviderName>
    </LogisticsService>
    <LogisticsService>
      <logisticsBrandName>sample string 2</logisticsBrandName>
      <logisticsServiceProviderId>1</logisticsServiceProviderId>
      <logisticsServiceProviderName>sample string 1</logisticsServiceProviderName>
    </LogisticsService>
  </result>
</LogisticsResponse>